FROM debian:12.1
MAINTAINER Julian M. Kleber

ENV VIRTUAL_ENV=/opt/venv

RUN apt-get update
RUN apt-get install -y python3-venv 

RUN python3 -m venv $VIRTUAL_ENV
ENV PATH="$VIRTUAL_ENV/bin:$PATH"

RUN pip install carate
RUN mkdir -p ./config

VOLUME ./config:./config
